﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace SpaceShips
{
    public class MenuItem
    {
        /// <summary>
        /// Pozice
        /// </summary>
        private Vector2 position;
        /// <summary>
        /// Jméno položky
        /// </summary>
        private string textName;

        /// <summary>
        /// Konstruktor
        /// </summary>
        /// <param name="position">Pozice položky</param>
        /// <param name="textName">Jméno položky</param>
        public MenuItem(Vector2 position, string textName)
        {
            this.position = position;
            this.textName = textName;
        }

        /// <summary>
        /// Vrátí jméno položky
        /// </summary>
        /// <returns>Jméno položky</returns>
        public string NameItem()
        {
            return textName;
        }

        /// <summary>
        /// Vrátí pozici položky
        /// </summary>
        /// <returns>Pozice</returns>
        public Vector2 ReturnPosition()
        {
            return position;
        }
    }
}
